# 🚀 Pull Request Checklist

Please review and check each item before submitting your PR:

- [ ] 📝 **Descriptive title** (use [Conventional Commits](https://www.conventionalcommits.org/))
- [ ] 📄 **Clear description** of changes and rationale
- [ ] 📚 **Documentation updated** (if applicable)
- [ ] 💬 **Comments updated** (keep all, fix typos, add context for AI if needed)
- [ ] 🛡️ **No breaking changes** (or clearly documented)

Autimatically validated for you, plese see the pipeline status:

- [ ] ✅ **All CI checks passing** (locally run `./scripts/check.sh`)
- [ ] 🧪 **Tests added/updated** for new functionality (check coverage)
- [ ] 🧠 **Code follows style guide** (formatting, linting, type checks)

---

Thank you for contributing to the AI-First DevOps Toolkit! 🚀 